Loading...
Searching...
No Matches
casacore::ArrayShapeError Class Reference
casa package (libcasa_casa) » Arrays_module

An error thrown when two arrays have different shapes. More...

`#include <ArrayError.h>`

## Public Member Functions

| ArrayShapeError (const IPosition &shape1, const IPosition &shape2, const char *m="ArrayShapeError")
| Define an ArrayShapeError with the two (presumably different) shapes and an optional supplied message.
| ~ArrayShapeError () noexcept
void | shapes (IPosition &, IPosition &) const
| Get back the stored shapes.
Public Member Functions inherited from casacore::ArrayConformanceError
| ArrayConformanceError ()
| Initialize the message with "ArrayConformanceError".
| ArrayConformanceError (const char *m)
| Initialize with a supplied message.
| ArrayConformanceError (const std::string &m)
| Initialize with a supplied message.
| ~ArrayConformanceError () noexcept
Public Member Functions inherited from casacore::ArrayError
| ArrayError ()
| Initialize with the message "ArrayError".
| ArrayError (const char *m)
| Initialize with the supplied message.
| ArrayError (const std::string &m)
| Initialize with the supplied message.
| ~ArrayError () noexcept

## Private Attributes

IPosition | sh1
IPosition | sh2

## Detailed Description

An error thrown when two arrays have different shapes.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

An ArrayShapeError is derived from ArrayConformanceError. It is thrown when two arrays are non-conformant by virtue of having different shapes. It holds within it the two different two shapes.

Definition at line 154 of file ArrayError.h.

## Constructor & Destructor Documentation

## ArrayShapeError()

casacore::ArrayShapeError::ArrayShapeError | ( | const IPosition & | shape1,
|  | const IPosition & | shape2,
|  | const char * | m = "ArrayShapeError" )

Define an ArrayShapeError with the two (presumably different) shapes and an optional supplied message.

## ~ArrayShapeError()

casacore::ArrayShapeError::~ArrayShapeError | ( |  | ) |

noexcept

## Member Function Documentation

## shapes()

void casacore::ArrayShapeError::shapes | ( | IPosition & | ,
|  | IPosition & | ) const

Get back the stored shapes.

NB modifies arguments.

References shapes().

Referenced by shapes().

## Member Data Documentation

## sh1

IPosition casacore::ArrayShapeError::sh1

private

Definition at line 165 of file ArrayError.h.

## sh2

IPosition casacore::ArrayShapeError::sh2

private

Definition at line 165 of file ArrayError.h.

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayError.h